summaryrefslogtreecommitdiffstats
path: root/libraries/babl
diff options
context:
space:
mode:
author Manfred Mueller <mmueller{at}live-modules{dot}org>2010-05-11 22:53:57 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:57 +0200
commita5bc5119445c73641ca2997cfd0306f6ee4aa09b (patch)
tree40dbe307d7be76b5594a823c756b3325f9fb955a /libraries/babl
parent044576c78537e49823f889614042c48ef4e142df (diff)
downloadslackbuilds-a5bc5119445c73641ca2997cfd0306f6ee4aa09b.tar.gz
slackbuilds-a5bc5119445c73641ca2997cfd0306f6ee4aa09b.tar.xz
libraries/babl: Added to 12.1 repository
Diffstat (limited to 'libraries/babl')
-rw-r--r--libraries/babl/README7
-rw-r--r--libraries/babl/babl.SlackBuild96
-rw-r--r--libraries/babl/babl.info8
-rw-r--r--libraries/babl/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/libraries/babl/README b/libraries/babl/README
new file mode 100644
index 0000000000..0f332d959f
--- /dev/null
+++ b/libraries/babl/README
@@ -0,0 +1,7 @@
+Babl is a dynamic, any to any, pixel format translation library.
+It allows converting between different methods of storing pixels known
+as pixel formats that have with different bitdepths and other data
+representations, color models and component permutations.
+A vocabulary to formulate new pixel formats from existing primitives
+is provided as well as the framework to add new color models and data
+types.
diff --git a/libraries/babl/babl.SlackBuild b/libraries/babl/babl.SlackBuild
new file mode 100644
index 0000000000..9b28313e55
--- /dev/null
+++ b/libraries/babl/babl.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for babl
+
+# Copyright 2008 Manfred Mueller <mmueller{at}live-modules{dot}org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=babl
+VERSION=0.0.22
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING COPYING.LESSER README NEWS ChangeLog INSTALL TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/babl-$VERSION \
+ --enable-shared=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cp $PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/babl/babl.info b/libraries/babl/babl.info
new file mode 100644
index 0000000000..06d12c4f1e
--- /dev/null
+++ b/libraries/babl/babl.info
@@ -0,0 +1,8 @@
+PRGNAM="babl"
+VERSION="0.0.22"
+HOMEPAGE="http://www.gtk.org/"
+DOWNLOAD="ftp://ftp.gtk.org/pub/babl/0.0/babl-0.0.22.tar.bz2"
+MD5SUM="b821ce696b40feb74552da9d666defad"
+MAINTAINER="Manfred Mueller"
+EMAIL="mmueller{at}live-modules{dot}org"
+APPROVED="rworkman"
diff --git a/libraries/babl/slack-desc b/libraries/babl/slack-desc
new file mode 100644
index 0000000000..1fa63fb588
--- /dev/null
+++ b/libraries/babl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------------|
+babl: babl (pixel format translation library)
+babl:
+babl: babl is a dynamic, any to any, pixel format translation library.
+babl:
+babl: It allows converting between different methods of storing pixels known
+babl: as pixel formats that have with different bitdepths and other data
+babl: representations, color models and component permutations.
+babl:
+babl: A vocabulary to formulate new pixel formats from existing primitives is
+babl: provided as well as the framework to add new color models and data types.
+babl: